Package org.eclipse.rdf4j.query.impl

## Class IteratingGraphQueryResult

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<Statement,​QueryEvaluationException>
    - - org.eclipse.rdf4j.query.impl.IteratingGraphQueryResult

- All Implemented Interfaces:
    `AutoCloseable`, `Iterable<Statement>`, `CloseableIteration<Statement,​QueryEvaluationException>`, `Iteration<Statement,​QueryEvaluationException>`, `GraphQueryResult`, `QueryResult<Statement>`
  Direct Known Subclasses:
    `GraphQueryResultImpl`

      public class IteratingGraphQueryResult
      extends IterationWrapper<Statement,​QueryEvaluationException>
      implements GraphQueryResult

  An iterating implementation of the `GraphQueryResult` interface.
  Author:
    Arjohn Kampman, Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IteratingGraphQueryResult​(Map<String,​String> namespaces, Iterable<? extends Statement> statements)` |
    `IteratingGraphQueryResult​(Map<String,​String> namespaces, Iterator<? extends Statement> statementIter)` |
    `IteratingGraphQueryResult​(Map<String,​String> namespaces, CloseableIteration<? extends Statement,​? extends QueryEvaluationException> statementIter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​String>` | `getNamespaces()` | Retrieves relevant namespaces from the query result.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.CloseableIteration

      `close`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `hasNext, next, remove, stream`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.QueryResult

      `iterator`

- - ### Constructor Detail

    - #### IteratingGraphQueryResult

          public IteratingGraphQueryResult​(Map<String,​String> namespaces,
                                           Iterable<? extends Statement> statements)

    - #### IteratingGraphQueryResult

          public IteratingGraphQueryResult​(Map<String,​String> namespaces,
                                           Iterator<? extends Statement> statementIter)

    - #### IteratingGraphQueryResult

          public IteratingGraphQueryResult​(Map<String,​String> namespaces,
                                           CloseableIteration<? extends Statement,​? extends QueryEvaluationException> statementIter)

  - ### Method Detail

    - #### getNamespaces

          public Map<String,​String> getNamespaces()

      Description copied from interface: `GraphQueryResult`
      Retrieves relevant namespaces from the query result.
      The contents of the Map may be modified after it is returned, as the initial return may be performed when the first RDF Statement is encountered.
      Specified by:
        `getNamespaces` in interface `GraphQueryResult`
      Returns:
        a Map<String, String> object containing (prefix, namespace) pairs.